http://www.perlmonks.org?node_id=1213471

package Foo ; use strict ; use warnings ; our $VERSION = '1.75' ;

-

package Bar ; use base 'Foo' ; $VERSION = '0.0.3'; use warnings ; use strict ; # Does not report missing 'our' before $VERSION

main.pl:

use lib '.' ; use strict ; use warnings ; use Bar ; print "version Foo = $Foo::VERSION\n" ; print "version Bar = $Bar::VERSION\n" ;